> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Publish Set

> Returns a List of current Publishing sets with counts of drafts in each.



## OpenAPI

````yaml /openapi/openapi_content.json get /content/publishsets
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/publishsets:
    get:
      tags:
        - DocumentPublishSet
      summary: Get Publish Set
      description: Returns a List of current Publishing sets with counts of drafts in each.
      parameters:
        - description: maximum number of items to return
          in: query
          name: pageSize
          schema:
            default: 100
            format: int32
            type: integer
        - description: start index
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublishSetSummaryPagedCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/PublishSetSummaryPagedCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/PublishSetSummaryPagedCollection'
          description: Success
components:
  schemas:
    PublishSetSummaryPagedCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PublishSetSummary'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    PublishSetSummary:
      description: Summary information of documents in a publishing set
      properties:
        count:
          description: the count of documents in the associated publish set
          format: int32
          type: integer
        publishSetCode:
          description: the code of the associated publish set
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````